using System;
using System.Data;
using System.Collections;
using System.Collections.Generic;
using RedGlovePermission.Model;
using RedGlovePermission.Lib;
//该源码下载自www.51aspx.com(５１ａsｐｘ．ｃｏｍ)

namespace RedGlovePermission.BLL
{
	/// <summary>
	/// 业务逻辑类RGP_ModuleAuthorityList 的摘要说明。
	/// </summary>
	public class RGP_ModuleAuthorityList
	{
		private readonly RedGlovePermission.DAL.RGP_ModuleAuthorityList dal=new RedGlovePermission.DAL.RGP_ModuleAuthorityList();
		public RGP_ModuleAuthorityList()
		{}
        /// <summary>
        /// 增加模块权限
        /// </summary>
        /// <param name="list">权限列表</param>
        /// <returns></returns>
        public bool CreateAuthorityList(ArrayList list)
        {
            return dal.CreateAuthorityList(list);
        }

        /// <summary>
        /// 更新模块权限
        /// </summary>
        public bool UpdateAuthorityList(ArrayList list)
        {
            return dal.UpdateAuthorityList(list);
        }

        /// <summary>
        /// 删除指定模块的权限列表
        /// </summary>
        /// <param name="ModuleID">模块ID</param>
        /// <returns></returns>
        public bool DeleteAuthority(int ModuleID)
        {
            return dal.DeleteAuthority(ModuleID);
        }

        /// <summary>
        /// 获得指定模块的权限列表
        /// </summary>
        /// <param name="ModuleID">模块ID</param>
        /// <returns></returns>
        public DataSet GetAuthorityList(int ModuleID)
        {
            return dal.GetAuthorityList(ModuleID);
        }

        /// <summary>
		/// 获得指定模块的权限列表
		/// </summary>
		/// <param name="ModuleID">模块ID</param>
		/// <returns></returns>
        public DataSet GetAuthorityNameList(int ModuleID)
        {
            return dal.GetAuthorityNameList(ModuleID);
        }
	}
}

